import { Component, Prop, h, Host } from "@stencil/core";
export class Toggle {
    constructor() {
        /*********************************
        PROPERTIES & STATE
        *********************************/
        /**
         * The state of the toggle. Whether is disabled or not.
         */
        this.disabled = false;
        /**
         * The label
         */
        this.label = "Label";
        /**
         * The label
         */
        this.size = "regular";
        /**
         * If the toggle is active or not
         */
        this.on = false;
    }
    /*********************************
    METHODS
    *********************************/
    onKeyUp(e) {
        if (e.which == 13) {
            //"enter" key was pressed
            this.switchToggle();
        }
    }
    // onKeyDown(e) {
    //   if (e.which == 9) {
    //     //"tab" key was pressed
    //     this.focus = false;
    //   }
    // }
    switchToggle() {
        if (this.disabled !== true) {
            if (this.on === true) {
                this.on = false;
            }
            else {
                this.on = true;
            }
        }
    }
    state() {
        if (this.on) {
            return "true";
        }
        else {
            return "false";
        }
    }
    render() {
        return (h(Host, { role: "switch", "aria-checked": this.state(), class: {
                toggle: true
            }, onClick: this.switchToggle, onKeyup: this.onKeyUp.bind(this), tabindex: "0" },
            h("div", { class: "toggle__container" },
                h("span", { class: "toggle__container__knob" })),
            h("span", { class: "toggle__label" }, this.label)));
    }
    static get is() { return "gxg-toggle"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["toggle.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["toggle.css"]
    }; }
    static get properties() { return {
        "disabled": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "The state of the toggle. Whether is disabled or not."
            },
            "attribute": "disabled",
            "reflect": true,
            "defaultValue": "false"
        },
        "label": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "The label"
            },
            "attribute": "label",
            "reflect": false,
            "defaultValue": "\"Label\""
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "Size",
                "resolved": "\"regular\" | \"small\"",
                "references": {
                    "Size": {
                        "location": "local"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "The label"
            },
            "attribute": "size",
            "reflect": true,
            "defaultValue": "\"regular\""
        },
        "on": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "If the toggle is active or not"
            },
            "attribute": "on",
            "reflect": true,
            "defaultValue": "false"
        }
    }; }
}
