function K2BListViewer(JQuery) {
  this.$ = JQuery;
  var uc = this;

  // Databinding for property ListItems
  this.SetListItems = function (data) {
    this.ListItems = data;
    this.show();
  };

  // Databinding for property ListItems
  this.GetListItems = function () {
    return this.ListItems;
  };

  // Databinding for property SelectedItem
  this.SetSelectedItem = function (data) {
    this.SelectedItem = data;
    this.updateSelectedItem();
  };

  // Databinding for property SelectedItem
  this.GetSelectedItem = function () {
    return this.SelectedItem;
  };

  this.show = function () {
    var container = this.$('#' + this.ContainerName);
    container.empty();

    container.addClass('K2BT_ListViewerContainer');
    for (let i = 0; this.ListItems[i] !== undefined; i++) {
      const div = this.$("<div class='K2BT_ListViewerItem' />");
      const title = this.$("<span class='K2BT_ListViewerItemTitle' />");

      div.attr('data-k2btools-itemid', this.ListItems[i].Value);
      title.text(this.ListItems[i].Description);

      div.append(title);
      container.append(div);

      this.$(div).on('click', function (e) {
        uc.SelectedItem = uc.$(e.target).closest('.K2BT_ListViewerItem').attr('data-k2btools-itemid');
        if (typeof uc.Click == 'function') {
          uc.updateSelectedItem();
          uc.Click();
        }
      });
    }

    this.updateSelectedItem();
  };

  this.updateSelectedItem = function () {
    var container = this.$('#' + this.ContainerName);
    container.find('.K2BT_ListViewerItemSelected').removeClass('K2BT_ListViewerItemSelected');

    container.find("[data-k2btools-itemid='" + this.SelectedItem + "']").addClass('K2BT_ListViewerItemSelected');
  };
}
